Subject: Re: [Simple] Multi-party Chat version 06 submitted - CPIM To issue

From: Ben Campbell <[email-masked]>
Date: Mon, 10 May 2010 13:28:01 -0500

(Sorry for the late response - I missed this while on vacation)

Hi Miguel,

On Apr 26, 2010, at 2:18 AM, Miguel A. Garcia wrote:

> Hi Nancy:
> 
> I believe the idea behind the To header in CPIM is to provide an aid to the MSRP switch on how to route the message, whether it is private or it is addressed to a chat room.
> 
> This allows a client to have a single transport connection to an MSRP switch, and MSRP sessions to multiple chat rooms, besides making the MSRP message self routable. If we do not include the To header in CPIM, I think the MSRP switch can still route the message by making some strange deductions (If CPIM To header not present, then use MSRP session to route it to the default chat room), but we loose the property of making the message selfcontained.
> 

Why would you consider selecting the chat-room based on the MSRP session a strange deduction? We are still expecting a separate MSRP session per chat room, aren't we? This is exactly how MSRP messages would be assigned to a conversation in non-chatroom applications.

(I am otherwise agnostic on the discussion, btw).

> I don't understand the behavior of the SBC you mention. Perhaps this behavior is due to the fact that the SBC is not able to understand MSRP chat... but we said that the major drawback of an SBC is that it needs to understand every single extension made to the protocol. So, I wonder if that behavior in the SBC can be fixed (by supporting MSRP chat), and we can model our protocol without an SBC walk around.
> 
> /Miguel
> 
> 
> 
> On 23/04/2010 18:37, Nancy Greene wrote:
>> Just to clarify, I am not saying remove the CPIM wrapper - the CPIM From is required for sure. I just want to remove the CPIM To when a message is not a private one.
>> 
>> 
>> Nancy
>> 
>> -----Original Message-----
>> From: Geir Arne Sandbakken [mailto:[email-masked]]
>> Sent: April-23-10 12:22 PM
>> To: Nancy Greene; Miguel Garcia A; [email-masked]; [email-masked]
>> Cc: Nadia Bishai
>> Subject: RE: [Simple] Multi-party Chat version 06 submitted - CPIM To issue
>> 
>> Nancy,
>> 
>> I do understand your concern, but I don't think removing the CPIM wrapper is the solution.  If you remove the wrapper, you remove the Sender header that identifies who's sending a specific message that is fanned out by the MSRP switch.  This would break requirement number 2.
>> 
>> I haven't thought this thru, but what if we required the chat room URI to be something specific instead of the conference URI?  This will break if we allow for a single MSRP session cope with several conference instances.
>> 
>> Thanks,
>> Geir Arne
>> 
>>> -----Original Message-----
>>> From: Nancy Greene [mailto:[email-masked]]
>>> Sent: 23. april 2010 17:25
>>> To: Geir Arne Sandbakken; Miguel Garcia A; [email-masked];
>>> [email-masked]
>>> Cc: Nadia Bishai
>>> Subject: RE: [Simple] Multi-party Chat version 06 submitted - CPIM To
>>> issue
>>> 
>>> I have a comment on the mandating of including CPIM To header in MSRP
>>> SENDs.
>>> 
>>> We have seen SBGs hide the Contact header value from clients. The
>>> client gets the chat room URI from the Contact header. This is not a
>>> problem for the SIP signalling associated with the chat room, since
>> the
>>> SBG will map it back when required.
>>> 
>>> However, mandating clients to include the chat room URI in the CPIM To
>>> header in MSRP SENDs for multi-party chat is not a good idea: the chat
>>> room focus, nor the other participants will not find the chat room URI
>>> they expect in the CPIM TO header, since it will receive the Contact
>>> URI given to the client by the SBG.
>>> 
>>> One way around this is to just say that a client includes the CPIM To
>>> header *only* when it wants to send a private message. When a chat
>>> message is meant to go to all participants, the client would not
>>> include a CPIM To header in the MSRP SEND at all. What do you think?
>>> 
>>> Nancy
>>> 
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On
>>> Behalf Of Geir Arne Sandbakken
>>> Sent: April-08-10 3:08 PM
>>> To: Simple
>>> Subject: [Simple] Multi-party Chat version 06 submitted
>>> 
>>> A new version of "Multi-party Chat Using the Message Session Relay
>>> Protocol (MSRP)" has been submitted.
>>> 
>>> The new version can be found here:
>>> http://www.ietf.org/internet-drafts/draft-ietf-simple-chat-06.txt
>>> 
>>> Changes from version -05 from on the WGLC summary:
>>> - Changed Anonymous URI allocation and usage
>>> - Simplified Nickname examples only to utilize alice and bob as user
>>> part of SIP URIs
>>> - Various spelling and wording errors
>>> 
>>> Geir Arne
>>> 
>>> 
>>> _______________________________________________
>>> Simple mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/simple
> 
> -- 
> Miguel A. Garcia
> +34-91-339-3608
> Ericsson Spain
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple